Commit 882f8258 authored by Gerd Stolpmann's avatar Gerd Stolpmann

migrate "release" to git

parent fc255509
......@@ -4,8 +4,6 @@ set -e
version=`./configure -version 2>/dev/null`
destdir="findlib-$version"
trunk="https://godirepo.camlcity.org/svn/lib-findlib/trunk"
tag="https://godirepo.camlcity.org/svn/lib-findlib/tags/$destdir"
mkdir -p packages
rm -rf "packages/$destdir"
......@@ -13,20 +11,27 @@ makepkg -spec findlib.files -intree . -outtree "packages/$destdir"
(cd packages; tar czf "$destdir.tar.gz" "$destdir")
echo "Wrote packages/$destdir.tar.gz"
# Checking for svn:
# Checking git:
status=$(svn status | grep -v '^\?' || true )
master="$(git branch | grep '* master')"
if [ -z "$master" ]; then
echo "Error: not on master branch"
exit 1
fi
status="$(git status -uno -s)"
if [ -n "$status" ]; then
echo "Error: svn status not clean"
echo "Error: git status not clean"
exit 1
else
printf "Tag revision (y/n)? "
read answer
case "$answer" in
y|Y|yes|YES)
svn cp "$trunk" "$tag"
echo "New tag: $tag"
git tag -a -m "findlib-$version" findlib-$version
git push --tags origin master
echo "New tag: findlib-$version"
;;
*)
echo "Nothing tagged."
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment